Name:           open_jtalk
Version:        1.07
Release:        6%{?dist}
Summary:        Japanese TTS System

Group:          Applications/Multimedia
License:        BSD + Creative Commons Attribution 3.0
URL:            http://open-jtalk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/open-jtalk/%{name}-%{version}.tar.gz
Source1:        http://downloads.sourceforge.net/open-jtalk/hts_voice_nitech_jp_atr503_m001-1.05.tar.gz
#Source2:        MMDAgent_Example-1.4.zip
Source2:        mmdagent_mei.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  hts_engine
Requires:       mecab-naist

Patch0:         open_jtalk-1.07-label.patch

%description
The Open JTalk is a Japanese TTS System. It has been being developed by HTS
working group (see "Who we are" below) and some graduate students in Nagoya
Institute of Technology (see "AUTHORS" in the same directory).

%package EUCJP
Summary:  Japanese TTS System (EUC-JP)
Group:    Applications/Multimedia

%description EUCJP
%{summary}.

%package SJIS
Summary:  Japanese TTS System (SHIFT_JIS)
Group:    Applications/Multimedia

%description SJIS
%{summary}.

%package -n mecab-naist
Summary:  Naist dictionary for MeCab
Group:    Applications/Text
Requires: mecab

%description -n mecab-naist
%{summary}.

%package -n mecab-naist-EUCJP
Summary:  Naist dictionary for MeCab EUCJP
Group:    Applications/Text
Requires: mecab

%description -n mecab-naist-EUCJP
%{summary}.

%package -n mecab-naist-SJIS
Summary:  Naist dictionary for MeCab SJIS
Group:    Applications/Text
Requires: mecab

%description -n mecab-naist-SJIS
%{summary}.

%package voice-nitech
Summary:  Nitech Japanese Speech Database "NIT ATR503 M001"
Group:    Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description voice-nitech
HTS voice trained by using the Nitech Japanese Speech Database "NIT ATR503
M001" is released as a part of Open JTalk (http://open-jtalk.sourceforge.net/).
This voice consists of HMMs trained by using HMM-based Speech Synthesis System
(HTS) version 2.3 alpha (http://hts.sp.nitech.ac.jp/).

%package voice-mmd
Summary:  HTS Voice "Mei"
Group:    Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description voice-mmd
The work is released as a part of MMDAgent (http://www.mmdagent.jp/).

%prep
%setup -q
gzip -dc %{SOURCE1} | tar -xf -
#unzip %{SOURCE2}
xz -dc %{SOURCE2} | tar -xf -

%build
%configure \
	--with-charset=EUC-JP \
	--with-hts-engine-header-path=%{_includedir} \
	--with-hts-engine-library-path=%{_libdir}
make %{?_smp_mflags}
cp -p bin/%{name} %{name}-euc
cp -rp mecab-naist-jdic mecab-naist-jdic-euc
make clean

%configure \
	--with-charset=SHIFT_JIS \
	--with-hts-engine-header-path=%{_includedir} \
	--with-hts-engine-library-path=%{_libdir}
make %{?_smp_mflags}
cp -p bin/%{name} %{name}-sjis
cp -rp mecab-naist-jdic mecab-naist-jdic-sjis
make clean

%configure \
	--with-charset=UTF-8 \
	--with-hts-engine-header-path=%{_includedir} \
	--with-hts-engine-library-path=%{_libdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT dicdir=%{_libdir}/mecab/dic/naist
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/voice
pushd hts_voice_nitech_jp_atr503_m001-1.05
	cp -p nitech_jp_atr503_m001.htsvoice $RPM_BUILD_ROOT%{_datadir}/%{name}/voice/
popd
pushd MMDAgent_Example-1.4/Voice/mei
	cp -p *.htsvoice $RPM_BUILD_ROOT%{_datadir}/%{name}/voice/
popd

install -D -m755 %{name}-euc $RPM_BUILD_ROOT%{_bindir}/%{name}-euc
install -D -m755 %{name}-sjis $RPM_BUILD_ROOT%{_bindir}/%{name}-sjis

install -d -m755 $RPM_BUILD_ROOT%{_libdir}/mecab/dic/naist-euc
install -d -m755 $RPM_BUILD_ROOT%{_libdir}/mecab/dic/naist-sjis

pushd mecab-naist-jdic-euc
	for file in char.bin left-id.def matrix.bin pos-id.def rewrite.def right-id.def sys.dic unk.dic
	do
		install -D -m644 $file $RPM_BUILD_ROOT%{_libdir}/mecab/dic/naist-euc/$file
	done
popd

pushd mecab-naist-jdic-sjis
	for file in char.bin left-id.def matrix.bin pos-id.def rewrite.def right-id.def sys.dic unk.dic
	do
		install -D -m644 $file $RPM_BUILD_ROOT%{_libdir}/mecab/dic/naist-sjis/$file
	done
popd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/voice

%files EUCJP
%{_bindir}/%{name}-euc

%files -n mecab-naist-EUCJP
%{_libdir}/mecab/dic/naist-euc/*

%files SJIS
%{_bindir}/%{name}-sjis

%files -n mecab-naist-SJIS
%{_libdir}/mecab/dic/naist-sjis/*

%files -n mecab-naist
%{_libdir}/mecab/dic/naist/*

%files voice-nitech
%doc hts_voice_nitech_jp_atr503_m001-1.05/{README,INSTALL,COPYING}
%{_datadir}/%{name}/voice/nitech_jp_atr503_m001.htsvoice

%files voice-mmd
%doc MMDAgent_Example-1.4/Voice/mei/*.txt
%{_datadir}/%{name}/voice/mei_angry.htsvoice
%{_datadir}/%{name}/voice/mei_bashful.htsvoice
%{_datadir}/%{name}/voice/mei_happy.htsvoice
%{_datadir}/%{name}/voice/mei_normal.htsvoice
%{_datadir}/%{name}/voice/mei_sad.htsvoice

%changelog
* Mon Mar 10 2014 momo-i <webmaster@momo-i.org> - 1.07-6
- Add euc and sjis compile.

* Fri Mar  7 2014 momo-i <webmaster@momo-i.org> - 1.07-5
- mecab patch delete

* Fri Mar  7 2014 momo-i <webmaster@momo-i.org> - 1.07-4
- Add jpcommon_label.c patch

* Wed Mar  5 2014 momo-i <webmaster@momo-i.org> - 1.07-3
- Update specfile

* Wed Mar  5 2014 momo-i <webmaster@momo-i.org> - 1.07-2
- Add example voice

* Wed Mar  5 2014 momo-i <webmaster@momo-i.org> - 1.07-1
- Initial rpm release.

